Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ascape.adapt
Class AscapePropertySourceProvider

    java.lang.Object
      org.eclipse.amp.agf.EditPartSourceProvider
          org.eclipse.amp.escape.ascape.adapt.AscapePropertySourceProvider

    public class AscapePropertySourceProvider

extends EditPartSourceProvider

The Class AscapePropertySourceProvider.

Field Summary
`(package private) java.lang.Class` | `stopClass`

Constructor Summary
`AscapePropertySourceProvider(java.lang.Object source)`

Method Summary
`java.lang.Object` | `getSource(EditPart editPart)` Gets the source.
`protected java.lang.Class` | `getStopClass(java.lang.Object model)`

Methods inherited from class org.eclipse.amp.agf.EditPartSourceProvider
`getPropertySource, getPropertySources, setPropertySources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stopClass

    java.lang.Class stopClass

Constructor Detail

### AscapePropertySourceProvider

    public AscapePropertySourceProvider(java.lang.Object source)

Method Detail

### getSource

    public java.lang.Object getSource(EditPart editPart)

  Description copied from class: `EditPartSourceProvider`
  Gets the source.

  Overrides:
    `getSource` in class `EditPartSourceProvider`
  Parameters:
    `editPart` -
  Returns:
  See Also:
    `org.eclipse.amp.agf.EditPartSourceProvider#getSource(org.eclipse.gef.EditPart)`

### getStopClass

    protected java.lang.Class getStopClass(java.lang.Object model)

  Parameters:
    `model` -
  Returns:
  See Also:
    `org.ascape.BeanPropertySourceProvider#getStopClass(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors